Ubuntu

Activity log for bug #1054907

Date Who What changed Old value New value Message
2012-09-23 09:21:06 David Gerard bug added bug
2012-09-23 09:25:37 Apport retracing service bug added subscriber Crash bug triagers for Ubuntu packages
2012-09-23 09:25:40 Apport retracing service attachment removed CoreDump.gz https://bugs.launchpad.net/bugs/1054907/+attachment/3333765/+files/CoreDump.gz
2012-09-23 09:25:41 Apport retracing service attachment removed Disassembly.txt https://bugs.launchpad.net/bugs/1054907/+attachment/3333767/+files/Disassembly.txt
2012-09-23 09:25:42 Apport retracing service attachment removed ProcMaps.txt https://bugs.launchpad.net/bugs/1054907/+attachment/3333768/+files/ProcMaps.txt
2012-09-23 09:25:42 Apport retracing service attachment removed ProcStatus.txt https://bugs.launchpad.net/bugs/1054907/+attachment/3333769/+files/ProcStatus.txt
2012-09-23 09:25:43 Apport retracing service attachment removed Registers.txt https://bugs.launchpad.net/bugs/1054907/+attachment/3333770/+files/Registers.txt
2012-09-23 09:25:44 Apport retracing service attachment removed Stacktrace.txt https://bugs.launchpad.net/bugs/1054907/+attachment/3333771/+files/Stacktrace.txt
2012-09-23 09:25:44 Apport retracing service attachment removed ThreadStacktrace.txt https://bugs.launchpad.net/bugs/1054907/+attachment/3333772/+files/ThreadStacktrace.txt
2012-09-23 09:25:47 Apport retracing service marked as duplicate 1037455
2012-09-23 09:25:47 Apport retracing service visibility private public
2012-09-23 09:25:49 Apport retracing service tags amd64 apport-crash need-amd64-retrace quantal amd64 apport-crash quantal
2012-10-20 22:33:25 Launchpad Janitor xfce4-power-manager (Ubuntu): status New Confirmed
2012-10-20 22:46:17 David Gerard removed duplicate marker 1037455
2012-10-21 20:34:40 Paul White bug added subscriber Paul White
2012-10-21 20:48:16 Lionel Le Folgoc xfce4-power-manager (Ubuntu): importance Undecided High
2012-10-21 20:59:18 Lionel Le Folgoc bug watch added http://bugzilla.xfce.org/show_bug.cgi?id=8992
2012-10-21 20:59:18 Lionel Le Folgoc bug task added xfce4-power-manager
2012-10-21 20:59:25 Lionel Le Folgoc xfce4-power-manager (Ubuntu): status Confirmed Triaged
2012-10-22 17:37:59 Lionel Le Folgoc description Started machine (Toshiba Portege R830-13C) after dist-upgrade from 12.04 to 12.10. Plugged in, but power icon showed battery. Unplugged, it went to showing as plugged-in! Then it disappeared and the crash report indicator showed something. I clicked on that, and it asked to send this bug. ProblemType: Crash DistroRelease: Ubuntu 12.10 Package: xfce4-power-manager 1.2.0-1ubuntu1 ProcVersionSignature: Ubuntu 3.5.0-15.22-generic 3.5.4 Uname: Linux 3.5.0-15-generic x86_64 ApportVersion: 2.5.2-0ubuntu4 Architecture: amd64 Date: Sun Sep 23 10:16:21 2012 ExecutablePath: /usr/bin/xfce4-power-manager InstallationMedia: Xubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120817.3) ProcCmdline: xfce4-power-manager ProcEnviron: LANGUAGE=en_GB:en PATH=(custom, user) LANG=en_GB.UTF-8 SHELL=/bin/bash SegvAnalysis: Segfault happened at: 0x7fb26bda1d7a <vfprintf+10042>: repnz scas %es:(%rdi),%al PC (0x7fb26bda1d7a) ok source "%es:(%rdi)" (0x00000061) not located in a known VMA region (needed readable region)! destination "%al" ok SegvReason: reading NULL VMA Signal: 11 SourcePackage: xfce4-power-manager StacktraceTop: vfprintf () from /lib/x86_64-linux-gnu/libc.so.6 __vasprintf_chk () from /lib/x86_64-linux-gnu/libc.so.6 g_vasprintf () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 g_strdup_vprintf () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 g_strdup_printf () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 Title: xfce4-power-manager crashed with SIGSEGV in vfprintf() UpgradeStatus: Upgraded to quantal on 2012-09-23 (0 days ago) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo [Impact] * Crash on battery status' changes with en_GB and tr locales. [Test case] * Switch to the en_GB locale. * Unplug (and/or) plug the power cord of your laptop and wait a bit. * Xfce4-power-manager should crash and its systray icon should disappear. * Install xfce4-power-manager from -proposed * Restart your session and repeat the steps above. * Xfce4-power-manager shouldn't crash and notifications should show. [Regression Potential] * Broken en_GB and tr translations. Started machine (Toshiba Portege R830-13C) after dist-upgrade from 12.04 to 12.10. Plugged in, but power icon showed battery. Unplugged, it went to showing as plugged-in! Then it disappeared and the crash report indicator showed something. I clicked on that, and it asked to send this bug. ProblemType: Crash DistroRelease: Ubuntu 12.10 Package: xfce4-power-manager 1.2.0-1ubuntu1 ProcVersionSignature: Ubuntu 3.5.0-15.22-generic 3.5.4 Uname: Linux 3.5.0-15-generic x86_64 ApportVersion: 2.5.2-0ubuntu4 Architecture: amd64 Date: Sun Sep 23 10:16:21 2012 ExecutablePath: /usr/bin/xfce4-power-manager InstallationMedia: Xubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120817.3) ProcCmdline: xfce4-power-manager ProcEnviron:  LANGUAGE=en_GB:en  PATH=(custom, user)  LANG=en_GB.UTF-8  SHELL=/bin/bash SegvAnalysis:  Segfault happened at: 0x7fb26bda1d7a <vfprintf+10042>: repnz scas %es:(%rdi),%al  PC (0x7fb26bda1d7a) ok  source "%es:(%rdi)" (0x00000061) not located in a known VMA region (needed readable region)!  destination "%al" ok SegvReason: reading NULL VMA Signal: 11 SourcePackage: xfce4-power-manager StacktraceTop:  vfprintf () from /lib/x86_64-linux-gnu/libc.so.6  __vasprintf_chk () from /lib/x86_64-linux-gnu/libc.so.6  g_vasprintf () from /lib/x86_64-linux-gnu/libglib-2.0.so.0  g_strdup_vprintf () from /lib/x86_64-linux-gnu/libglib-2.0.so.0  g_strdup_printf () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 Title: xfce4-power-manager crashed with SIGSEGV in vfprintf() UpgradeStatus: Upgraded to quantal on 2012-09-23 (0 days ago) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
2012-10-22 18:02:37 Lionel Le Folgoc nominated for series Ubuntu Quantal
2012-10-22 18:02:37 Lionel Le Folgoc bug task added xfce4-power-manager (Ubuntu Quantal)
2012-10-22 18:02:37 Lionel Le Folgoc nominated for series Ubuntu Raring
2012-10-22 18:02:37 Lionel Le Folgoc bug task added xfce4-power-manager (Ubuntu Raring)
2012-10-22 18:02:49 Lionel Le Folgoc xfce4-power-manager (Ubuntu Quantal): status New Triaged
2012-10-22 18:02:51 Lionel Le Folgoc xfce4-power-manager (Ubuntu Quantal): importance Undecided High
2012-10-22 18:02:53 Lionel Le Folgoc xfce4-power-manager (Ubuntu Raring): importance High Medium
2012-10-22 18:04:51 Lionel Le Folgoc bug added subscriber Ubuntu Stable Release Updates Team
2012-10-27 05:21:59 Steve Langasek xfce4-power-manager (Ubuntu Quantal): status Triaged Fix Committed
2012-10-27 05:22:04 Steve Langasek bug added subscriber SRU Verification
2012-10-27 05:22:11 Steve Langasek tags amd64 apport-crash quantal amd64 apport-crash quantal verification-needed
2012-10-27 18:57:40 David Gerard tags amd64 apport-crash quantal verification-needed amd64 apport-crash quantal verification-done
2012-10-28 18:52:31 Launchpad Janitor branch linked lp:ubuntu/quantal-proposed/xfce4-power-manager
2012-10-29 11:04:39 Lionel Le Folgoc xfce4-power-manager (Ubuntu Raring): status Triaged Fix Released
2012-10-29 19:35:32 Launchpad Janitor branch linked lp:ubuntu/raring-proposed/xfce4-power-manager
2012-11-04 18:41:51 Steve Langasek removed subscriber Ubuntu Stable Release Updates Team
2012-11-04 18:42:22 Launchpad Janitor xfce4-power-manager (Ubuntu Quantal): status Fix Committed Fix Released